#!/bin/bash
#
#  Remote replacement for pc^2 judging script
#
#  The "data" directory must be in place on
#     euclid.uwaterloo.ca:scripts/data
#
#  "shell" must be compiled from "shell.c" attached (because of braindamage
#     in windows xterm, it can only be started interactively, and shell 
#      fakes an interactive batch session)
#
DIR=`/bin/hostname`.$$.dir
echo copying to euclid.uwaterloo.ca:$DIR
scp -r . euclid.uwaterloo.ca:$DIR
ssh euclid.uwaterloo.ca scripts/cdtest.sh $DIR $1 $2 $3 $4 $5
#echo "/usr/x11r6/bin/xterm -T $1 -e scripts/cdtest.sh $DIR $1 $2 $3 $4 $5; exit" | ${HOME}/scripts/shell $SSH euclid.uwaterloo.ca &
